//+------------------------------------------------------------------+
#property show_inputs
//+------------------------------------------------------------------+
#define POD_NULOU -1
#define NAD_NULOU  1
//+------------------------------------------------------------------+
extern string     MenovyPar   = "";             // "" je aktualn par, jinak napr. "EURUSD", "USDJPY"..
extern int        Timeframe   = 0,              // 0 je aktualni TF, jinak pocet minut napr. 60 pro H1
                  Ema1        = 12,             // parametry macd - perioda slow ema
                  Ema2        = 26,             //                - perioda fast ema
                  SignalSma   = 9,              //                - perioda signal sma
                  Cena        = PRICE_CLOSE,    // nebo PRICE_OPEN, PRICE_HIGH, PRICE_LOW    
                  Mod         = MODE_MAIN,      // nebo MODE_SIGNAL pro sma (ne histogram) nad/pod 0
                  Svicka      = 0;              // 0 =  soucasna svicka, nebo 1, 2, 3... X svicek zpet
//+------------------------------------------------------------------+      
void start()
   {
   int      Stav;
   double   MacdVal;
   string   Text;
   // precteme hodnotu MACD,
   if(MenovyPar == "") MenovyPar = Symbol();
   MacdVal = iMACD(MenovyPar, Timeframe, Ema1, Ema2, SignalSma, Cena, Mod, Svicka);
   // ulozime vysledek do promenne Stav,
   if(MacdVal > 0) Stav = NAD_NULOU;
   else if(MacdVal < 0) Stav = POD_NULOU;
   // a na jejim zaklade provedeme potrebne:
   switch(Stav)
      {
      case POD_NULOU: Text = "MACD je pod nulou"; break;
      case NAD_NULOU: Text = "MACD je nad nulou"; break;
      default:        Text = "MACD je presne na nule";
      }
   Alert(Text); 
   }
//+------------------------------------------------------------------+          
   

